#!/bin/bash
# --------------------------------------
# Настройка SAST анализаторов
# --------------------------------------

echo "Установка curl"
sudo apt update
sudo apt install -y curl

echo "Создание директории для результатов анализа"
mkdir -p sast_results

echo "Установка bearer"
curl -sfL https://raw.githubusercontent.com/Bearer/bearer/main/contrib/install.sh | sh

echo "Установка golangci-lint"
curl -sSfL https://golangci-lint.run/install.sh | sh -s v2.11.2

echo "Установка gosec"
mkdir -p bin
cd bin
curl -L -o gosec.tar.gz https://github.com/securego/gosec/releases/download/v2.24.7/gosec_2.24.7_linux_amd64.tar.gz
mkdir -p gosec_download
tar -xzf gosec.tar.gz -C gosec_download
mv gosec_download/gosec .
rm -f gosec.tar.gz
rm -rf gosec_download
chmod +x ./gosec

echo "Бинарники анализаторов установлены в ./bin"
